summaryrefslogtreecommitdiffstats
path: root/time_wizard/scripts/handle_local_internet.sh
diff options
context:
space:
mode:
Diffstat (limited to 'time_wizard/scripts/handle_local_internet.sh')
-rwxr-xr-xtime_wizard/scripts/handle_local_internet.sh65
1 files changed, 65 insertions, 0 deletions
diff --git a/time_wizard/scripts/handle_local_internet.sh b/time_wizard/scripts/handle_local_internet.sh
new file mode 100755
index 00000000..3fe4528f
--- /dev/null
+++ b/time_wizard/scripts/handle_local_internet.sh
@@ -0,0 +1,65 @@
+#!/bin/bash
+#
+# Wizard
+#
+# Copyright (C) 2000 Mandrakesoft.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+# See file LICENSE for further informations on licensing terms.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+#
+# Authors: Jerome Dumonteil, Maurizio De Cecco, Enzo Maggi
+# icons: Helene Durosini <ln@mandrakesoft.com>
+# <corporate@mandrakesoft.com> http://www.mandrakesoft.com
+
+#This script use the value of the variable $chooser1 (== 'local' or 'internet')
+#as follows:
+#
+#if $chooser1 == 'local',
+#- call the standard time setting tool and then output the string "ciao"
+#
+#if $chooser1 == 'internet',
+# test the existence of the network.
+# if it exists, call the script test_tools.sh
+# else output 'page3'
+
+# (if chooser1 is different from 'local' and 'internet', return an error code)
+
+
+
+echo_debug "$(date) begin $0, loading /etc/sysconfig/network"
+
+. /etc/sysconfig/network
+
+echo_debug "chooser1=${chooser1}"
+
+[ -n "${chooser1}" ] || exit 1
+
+echo_debug "NETWORKING=${NETWORKING} chooser1=${chooser1} timetool=${timetool}"
+
+case "${chooser1}" in
+local)
+ exit 1
+ ;;
+internet)
+ echo_debug "NETWORKING=${NETWORKING}"
+ [ ${NETWORKING} = "no" ] && exit 2
+ echo_debug "launching test_tools.sh"
+ exec /usr/share/wizards/time_wizard/scripts/test_tools.sh
+ ;;
+*)
+ echo_debug "a bug ?"
+ exit -1
+esac
+